Unit taeb5r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AEB5R_p;

function taeb5r: String;

implementation

function taeb5r: String;
var
N,NM,M,L1,L2,_i :Integer;
C :Array [0..14] of Real;
EV :Array [0..1] of Real;
const
B :Array [0..14] of Real = ( 0.0,0.0,4.0,0.0,4.0,0.0,3.0,3.0,3.0,3.0,5.0,
3.25,1.0,4.25,6.0 );
EPS :Array [0..1] of Real = ( 1.E-5,1.E-5 );
begin
Result := '';  {   }
N := 5;
NM := 5;
M := 3;
L1 := 2;
L2 := 3;
AEB5R(NM,N,M,B,L1,L2,EV,EPS,C);
Result := Result + Format('%s',['  EV' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[EV[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['  EPS' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[EPS[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('taeb5r',Result);  {     taeb5r.res }
exit;
end;

end.
